GET
/api/v1/storage/destination-bucket-list/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/destination-bucket-list/?project_id=<PROJECT_ID>&location=<LOCATION>&destination_region=<DESTINATION_REGION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/storage/destination-bucket-list/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "destination_region": "<DESTINATION_REGION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/destination-bucket-list/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", destination_region: "<DESTINATION_REGION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
destination_region
required
string
Example
ChennaiDestination region for the migration
Responses
Section titled “Responses”Successfully retrieved the list of buckets.
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
versioning_status
string
location
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 12345, "name": "another-bucket", "versioning_status": "Enabled", "location": "Chennai" } ], "errors": {}, "message": "Success"}